メインコンテンツへスキップ
POST
/
crm
/
v4
/
associations
/
{fromObjectType}
/
{toObjectType}
/
batch
/
read
関連付けを取得
curl --request POST \
  --url https://api.hubapi.com/crm/v4/associations/{fromObjectType}/{toObjectType}/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "<string>",
      "after": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "from": {
        "id": "<string>"
      },
      "to": [
        {
          "associationTypes": [
            {
              "category": "HUBSPOT_DEFINED",
              "typeId": 123,
              "label": "<string>"
            }
          ],
          "toObjectId": "<string>"
        }
      ],
      "paging": {
        "next": {
          "after": "<string>",
          "link": "<string>"
        },
        "prev": {
          "before": "<string>",
          "link": "<string>"
        }
      }
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

fromObjectType
string
必須

関連付け元オブジェクトのタイプ

toObjectType
string
必須

関連付け先オブジェクトのタイプ

ボディ

application/json
inputs
object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

バッチ処理が完了した時点のタイムスタンプ(ISO 8601形式)。

results
object[]
必須
startedAt
string<date-time>
必須

バッチ処理が開始された時点のタイムスタンプ(ISO 8601形式)。

status
enum<string>
必須

バッチ処理リクエストのステータス:「PENDING」、「PROCESSING」、「CANCELED」、または「COMPLETE」。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。

requestedAt
string<date-time>

バッチリクエストが最初に行われた時点のタイムスタンプ(ISO 8601形式)。

Last modified on April 13, 2026